curl --request POST \
--url https://api.fabric.inc/v3/price-lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"name": "US price list",
"isDefault": false,
"currency": "USD",
"startAt": "2021-05-04T09:23:51.459Z",
"endAt": "2021-06-09T09:23:51.459Z"
}
'import requests
url = "https://api.fabric.inc/v3/price-lists"
payload = {
"name": "US price list",
"isDefault": False,
"currency": "USD",
"startAt": "2021-05-04T09:23:51.459Z",
"endAt": "2021-06-09T09:23:51.459Z"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'US price list',
isDefault: false,
currency: 'USD',
startAt: '2021-05-04T09:23:51.459Z',
endAt: '2021-06-09T09:23:51.459Z'
})
};
fetch('https://api.fabric.inc/v3/price-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/price-lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'US price list',
'isDefault' => false,
'currency' => 'USD',
'startAt' => '2021-05-04T09:23:51.459Z',
'endAt' => '2021-06-09T09:23:51.459Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/price-lists"
payload := strings.NewReader("{\n \"name\": \"US price list\",\n \"isDefault\": false,\n \"currency\": \"USD\",\n \"startAt\": \"2021-05-04T09:23:51.459Z\",\n \"endAt\": \"2021-06-09T09:23:51.459Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/price-lists")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"US price list\",\n \"isDefault\": false,\n \"currency\": \"USD\",\n \"startAt\": \"2021-05-04T09:23:51.459Z\",\n \"endAt\": \"2021-06-09T09:23:51.459Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/price-lists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"US price list\",\n \"isDefault\": false,\n \"currency\": \"USD\",\n \"startAt\": \"2021-05-04T09:23:51.459Z\",\n \"endAt\": \"2021-06-09T09:23:51.459Z\"\n}"
response = http.request(request)
puts response.read_body{
"id": 1000003,
"name": "US price list",
"isDefault": false,
"currency": "USD",
"createdAt": "2019-08-20T14:15:22.000Z",
"updatedAt": "2019-08-20T14:15:22.000Z",
"isDeleted": false,
"channelId": "12",
"startAt": "2021-05-04T09:23:51.459Z",
"endAt": "2021-06-09T09:23:51.459Z"
}{
"type": "PRICE_LIST_NAME_EXISTS",
"message": "Price list name already exists"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Create price list
Create a price list. Based on the currency code you define for a price list, you will be able to create or update prices under the price list for the defined currency code only.
curl --request POST \
--url https://api.fabric.inc/v3/price-lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"name": "US price list",
"isDefault": false,
"currency": "USD",
"startAt": "2021-05-04T09:23:51.459Z",
"endAt": "2021-06-09T09:23:51.459Z"
}
'import requests
url = "https://api.fabric.inc/v3/price-lists"
payload = {
"name": "US price list",
"isDefault": False,
"currency": "USD",
"startAt": "2021-05-04T09:23:51.459Z",
"endAt": "2021-06-09T09:23:51.459Z"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'US price list',
isDefault: false,
currency: 'USD',
startAt: '2021-05-04T09:23:51.459Z',
endAt: '2021-06-09T09:23:51.459Z'
})
};
fetch('https://api.fabric.inc/v3/price-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/price-lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'US price list',
'isDefault' => false,
'currency' => 'USD',
'startAt' => '2021-05-04T09:23:51.459Z',
'endAt' => '2021-06-09T09:23:51.459Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/price-lists"
payload := strings.NewReader("{\n \"name\": \"US price list\",\n \"isDefault\": false,\n \"currency\": \"USD\",\n \"startAt\": \"2021-05-04T09:23:51.459Z\",\n \"endAt\": \"2021-06-09T09:23:51.459Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/price-lists")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"US price list\",\n \"isDefault\": false,\n \"currency\": \"USD\",\n \"startAt\": \"2021-05-04T09:23:51.459Z\",\n \"endAt\": \"2021-06-09T09:23:51.459Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/price-lists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"US price list\",\n \"isDefault\": false,\n \"currency\": \"USD\",\n \"startAt\": \"2021-05-04T09:23:51.459Z\",\n \"endAt\": \"2021-06-09T09:23:51.459Z\"\n}"
response = http.request(request)
puts response.read_body{
"id": 1000003,
"name": "US price list",
"isDefault": false,
"currency": "USD",
"createdAt": "2019-08-20T14:15:22.000Z",
"updatedAt": "2019-08-20T14:15:22.000Z",
"isDeleted": false,
"channelId": "12",
"startAt": "2021-05-04T09:23:51.459Z",
"endAt": "2021-06-09T09:23:51.459Z"
}{
"type": "PRICE_LIST_NAME_EXISTS",
"message": "Price list name already exists"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Authorizations
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
24A unique identifier obtained from Copilot for the System app in the fabric ecosystem, essential for OpenID Connect authentication flows.
Body
The inputs to create or update price lists.
Response
Created
The details of the price list.
The price list ID associated with the item generated using the create price list endpoint.
1000003
Was this page helpful?
